# Recruiter AddOn for World of Warcraft

Recruiter is a tool for coordinating recruitment activities accross guildmates.
It is intended to help provide a consistent message in recruiting activities and
prevent spamming community members with invitations. It is also useful
for managing guild membership with tools for removing inactive members and 
banning players so they are not re-invited by a recruiter after being kicked
from the guild.

## Features

* Show leads similar to the /who list with filtering based on guild needs. 
  Filter by level, unguilded.

## Planned Features

This list is roughly in the order I intend to implement in.

* Click to start a conversation with a preset opening message.
* Click to /ginvite
* Any way to filter out characters who have blocked guild invites?
* Only present a character as a lead if they have been logged in for a _minimum_
  amount of time. _minimum_ will be configurable and defualt to 3 minutes.
  This prevents recruiters from jumping on a person immediately when they login.
* Add more filter criteria. Class, race, gender, progression, PVE ilvl, 
  PVP ilvl, achievements, cross realm, zone.
* Record contacted information for character. Contacted by, date/time contacted.
* Share contacted information accross recruiters in the guild to prevent
  spamming individuals by multiple recruiters.
* Filter out recently contacted character from the leads list.
  _recently_ will be configurable and default to 30 days.
* Mark character as _do not call_ if:
** the recruiter deems we should not attempt to contact them again.
** the character has been contacted multiple times and declined every time.
   _multiple_ will be configurable and default to 3 times.
** the character has been gkicked and banned.
* Remove inactive guild members. _inactive_ will be configurable and default
  to 30 days.
* Mark character as _do not kick on inactive_ with a note on the exception.

## Non-Features

These are features this plugin will __NOT__ implement.

* Automatic whispering to players on the leads list.
* Automatic ginvite.
* Recruitment messaging on global channels.

There are other addons that perform these functions if you are interested
in these features.

## Data Sharing

Because WoW does not have a mechanism for sharing addon data accross the guild,
addon developers have to workaround data storage using things like guild notes
officer and player notes and the event calendar along with sharing data
accross addon users using the addon chat channels.

As I am still learning how all this works, I will be starting off by using the
event calendar using calendar type GUILD\_ANNOUNCEMENT and event type 
CALENDAR\_EVENTTYPE\_OTHER but may need to experiment a lot with how the addon
will communicate between guild members.

## Reference Materials

* [World of Warcraft Interface Addon Kits](https://us.battle.net/support/en/article/download-the-world-of-warcraft-interface-addon-kit)